## cassandra 2.1.22

=== debian/changelog ===
cassandra (2.1.22) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 28 Aug 2020 12:36:32 +0200

 cassandra (2.1.21) unstable; urgency=medium

   * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 11 Feb 2019 18:20:00 -0500

cassandra (2.1.20) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Thu, 05 Oct 2017 10:18:22 -0500

cassandra (2.1.19) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 11 Sep 2017 16:49:58 -0500

cassandra (2.1.18) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Wed, 21 Jun 2017 13:57:08 -0500

cassandra (2.1.17) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Wed, 15 Feb 2017 18:09:07 -0600

cassandra (2.1.16) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Wed, 05 Oct 2016 17:16:47 -0500

cassandra (2.1.15) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 28 Jun 2016 20:06:09 -0400

cassandra (2.1.14) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 15 Apr 2016 10:29:30 -0400

cassandra (2.1.13) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Tue, 26 Jan 2016 09:11:55 -0500

cassandra (2.1.12) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Wed, 02 Dec 2015 10:38:36 -0500

cassandra (2.1.11) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Mon, 12 Oct 2015 09:46:10 -0400

cassandra (2.1.10) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Thu, 01 Oct 2015 09:35:19 -0400

cassandra (2.1.9) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 25 Aug 2015 09:32:27 -0400

cassandra (2.1.8) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Mon, 06 Jul 2015 11:18:23 -0400

cassandra (2.1.7) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Thu, 18 Jun 2015 14:52:26 -0400

cassandra (2.1.6) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 05 Jun 2015 10:21:39 -0400

cassandra (2.1.5) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Mon, 27 Apr 2015 10:24:48 -0400

cassandra (2.1.4) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 27 Mar 2015 13:48:25 -0400

cassandra (2.1.3) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Mon, 09 Feb 2015 10:31:35 -0500

cassandra (2.1.2) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Wed, 05 Nov 2014 15:51:26 -0500 

cassandra (2.1.1) unstable; urgency=medium

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Fri, 17 Oct 2014 13:43:46 +0200

cassandra (2.1.0) unstable; urgency=medium

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Sun, 07 Sep 2014 15:21:41 +0200

cassandra (2.1.0~rc7) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Thu, 28 Aug 2014 16:32:12 +0200

cassandra (2.1.0~rc6) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Sat, 09 Aug 2014 13:46:39 +0200

cassandra (2.1.0~rc5) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Sat, 02 Aug 2014 13:45:54 +0200

cassandra (2.1.0~rc4) unstable; urgency=medium

  * New RC release

 -- Eric Evans <eevans@apache.org>  Fri, 18 Jul 2014 13:40:48 -0500

cassandra (2.1.0~rc3) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Tue, 08 Jul 2014 14:04:10 +0200

cassandra (2.1.0~rc2) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Mon, 23 Jun 2014 18:14:29 +0200

cassandra (2.1.0~rc1) unstable; urgency=medium

  * New RC release

 -- Sylvain Lebresne <slebresne@apache.org>  Fri, 30 May 2014 17:25:14 +0200

cassandra (2.1.0~beta2) unstable; urgency=medium

  * New beta release

 -- Sylvain Lebresne <slebresne@apache.org>  Thu, 01 May 2014 16:39:21 +0200

cassandra (2.1.0~beta1) unstable; urgency=low

  * New beta release

 -- Sylvain Lebresne <slebresne@apache.org>  Mon, 17 Feb 2014 16:50:33 +0100

cassandra (2.0.6) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Fri, 07 Mar 2014 13:18:42 +0100

cassandra (2.0.5) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Fri, 31 Jan 2014 16:05:20 +0100

cassandra (2.0.4) unstable; urgency=medium

  * New release

 -- Eric Evans <eevans@apache.org>  Fri, 27 Dec 2013 12:38:37 -0600

cassandra (2.0.3) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Thu, 21 Nov 2013 10:04:45 +0100

cassandra (2.0.2) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Thu, 24 Oct 2013 09:15:30 +0200

cassandra (2.0.1) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Thu, 19 Sep 2013 13:47:16 +0200

cassandra (2.0.0) unstable; urgency=low

  * New release

 -- Sylvain Lebresne <slebresne@apache.org>  Wed, 28 Aug 2013 13:33:25 +0200

cassandra (2.0.0~rc2) unstable; urgency=low

  * New release candidate

 -- Sylvain Lebresne <slebresne@apache.org>  Mon, 19 Aug 2013 16:58:03 +0200

cassandra (2.0.0~rc1) unstable; urgency=low

  * New release candidate

 -- Eric Evans <eevans@apache.org>  Mon, 05 Aug 2013 10:11:43 -0500

cassandra (2.0.0~beta2) unstable; urgency=low

  * New beta release

 -- Sylvain Lebresne <slebresne@apache.org>  Mon, 22 Jul 2013 16:53:37 +0200

cassandra (2.0.0~beta1) unstable; urgency=low

  * New beta release

 -- Sylvain Lebresne <slebresne@apache.org>  Tue, 09 Jul 2013 10:12:24 +0200

cassandra (1.2.6) unstable; urgency=low

  * New release



## cassandra 3.11.11

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

YAML_DOC_INPUT=../conf/cassandra.yaml
YAML_DOC_OUTPUT=source/configuration/cassandra_config_file.rst

MAKE_CASSANDRA_YAML = python convert_yaml_to_rst.py $(YAML_DOC_INPUT) $(YAML_DOC_OUTPUT)

WEB_SITE_PRESENCE_FILE='source/.build_for_website'

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  website    to make HTML files for the Cassandra website"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -f $(YAML_DOC_OUTPUT)

.PHONY: html
html:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: website
website: clean
	@touch $(WEB_SITE_PRESENCE_FILE)
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@rm $(WEB_SITE_PRESENCE_FILE)
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ApacheCassandraDocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ApacheCassandraDocumentation.qhc"

.PHONY: applehelp
applehelp:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ApacheCassandraDocumentation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ApacheCassandraDocumentation"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(MAKE_CASSANDRA_YAML)
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## cassandra 2.2.19

=== debian/changelog ===
cassandra (2.2.19) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Thu, 29 Oct 2020 11:34:29 +0100

cassandra (2.2.18) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 28 Aug 2020 14:24:05 +0200

cassandra (2.2.17) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Tue, 14 Jul 2020 21:30:34 +0200

cassandra (2.2.16) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 10 Feb 2020 10:52:49 +0100

cassandra (2.2.15) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Thu, 24 Oct 2019 08:50:00 -0500

cassandra (2.2.14) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Fri, 01 Feb 2019 12:34:51 -0600

cassandra (2.2.13) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 02 Jul 2018 13:26:07 -0500

cassandra (2.2.12) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Thu, 05 Oct 2017 10:21:40 -0500

cassandra (2.2.11) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 26 Jun 2017 18:45:38 -0500

cassandra (2.2.10) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Wed, 21 Jun 2017 14:07:47 -0500

cassandra (2.2.9) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Wed, 15 Feb 2017 18:12:32 -0600

cassandra (2.2.8) unstable; urgency=medium

  * New release 

 -- Michael Shuler <michael@pbandjelly.org>  Fri, 23 Sep 2016 16:35:25 -0500

cassandra (2.2.7) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Tue, 28 Jun 2016 20:08:44 -0400

cassandra (2.2.6) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 15 Apr 2016 09:47:38 -0400

cassandra (2.2.5) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Tue, 26 Jan 2016 09:15:04 -0500

cassandra (2.2.4) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Wed, 02 Dec 2015 10:52:18 -0500

cassandra (2.2.3) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Mon, 12 Oct 2015 09:49:15 -0400

cassandra (2.2.2) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Thu, 01 Oct 2015 09:37:57 -0400

cassandra (2.2.1) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 25 Aug 2015 13:22:45 -0400

cassandra (2.2.0) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 17 Jul 2015 13:06:22 -0400

cassandra (2.2.0~rc2) unstable; urgency=medium

  * New RC release

 -- Jake Luciani <jake@apache.org>  Tue, 30 Jun 2015 09:43:38 -0400

cassandra (2.2.0~rc1) unstable; urgency=medium

  * New RC release 

 -- Jake Luciani <jake@apache.org>  Fri, 05 Jun 2015 11:11:50 -0400

cassandra (2.2.0~beta1) unstable; urgency=medium

  * New Beta Release 

 -- Jake Luciani <jake@apache.org>  Sun, 17 May 2015 21:33:49 -0400

=== debian/control ===
Source: cassandra
Section: misc
Priority: extra
Maintainer: Eric Evans <eevans@apache.org>
Uploaders: Sylvain Lebresne <slebresne@apache.org>
Build-Depends: debhelper (>= 5), openjdk-8-jdk | java8-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python-dev (>= 2.7), dpatch, bash-completion
Homepage: http://cassandra.apache.org
Vcs-Git: http://git-wip-us.apache.org/repos/asf/cassandra.git
Vcs-Browser: https://git-wip-us.apache.org/repos/asf?p=cassandra.git
Standards-Version: 3.8.3

Package: cassandra
Architecture: all
Depends: openjdk-7-jre-headless | java7-runtime, adduser, python (>= 2.7), ${misc:Depends}
Recommends: ntp | time-daemon
Suggests: cassandra-tools
Conflicts: apache-cassandra1
Replaces: apache-cassandra1
Description: distributed storage system for structured data
 Cassandra is a distributed (peer-to-peer) system for the management
 and storage of structured data.

Package: cassandra-tools
Architecture: all
Depends: cassandra (= ${binary:Version}), ${misc:Depends}
Description: distributed storage system for structured data
 Cassandra is a distributed (peer-to-peer) system for the management
 and storage of structured data.
 .
 This package contains extra tools for working with Cassandra clusters.

## cassandra 3.0.26

=== debian/changelog ===
cassandra (3.0.26) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 07 Feb 2022 13:12:52 +0100

cassandra (3.0.25) unstable; urgency=medium

  * New release

 -- Brandon Williams <brandonwilliams@apache.org>  Sun, 25 Jul 2021 11:43:54 -0500

cassandra (3.0.24) unstable; urgency=medium

  * New release

 -- Alex Petrov <ifesdjeen@apache.org>  Fri, 29 Jan 2021 12:21:05 +0100

cassandra (3.0.23) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Thu, 29 Oct 2020 12:03:40 +0100

cassandra (3.0.22) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 28 Aug 2020 14:48:07 +0200

cassandra (3.0.21) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Tue, 14 Jul 2020 22:15:16 +0200

cassandra (3.0.20) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 10 Feb 2020 22:53:30 +0100

cassandra (3.0.19) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Thu, 24 Oct 2019 08:56:34 -0500

cassandra (3.0.18) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Fri, 01 Feb 2019 12:37:12 -0600

cassandra (3.0.17) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 02 Jul 2018 13:29:49 -0500

cassandra (3.0.16) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Tue, 10 Oct 2017 17:13:31 -0500

cassandra (3.0.15) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 26 Jun 2017 18:47:08 -0500

cassandra (3.0.14) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Fri, 14 Apr 2017 20:01:02 -0500

cassandra (3.0.13) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Tue, 11 Apr 2017 12:52:26 -0500

cassandra (3.0.12) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Tue, 07 Mar 2017 09:28:21 -0600

cassandra (3.0.11) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Wed, 15 Feb 2017 18:15:14 -0600

cassandra (3.0.10) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 31 Oct 2016 10:33:44 -0500

cassandra (3.0.9) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Tue, 16 Aug 2016 18:02:20 -0500

cassandra (3.0.8) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Tue, 28 Jun 2016 20:12:22 -0400

cassandra (3.0.7) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Mon, 06 Jun 2016 14:27:28 -0400

cassandra (3.0.6) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 03 May 2016 09:29:31 -0400

cassandra (3.0.5) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Sat, 02 Apr 2016 07:57:16 -0400

cassandra (3.0.4) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Mon, 29 Feb 2016 10:36:33 -0500

cassandra (3.0.3) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Wed, 03 Feb 2016 08:54:57 -0500

cassandra (3.0.1) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 04 Dec 2015 15:56:02 -0500

cassandra (3.0.0) unstable; urgency=medium

  * New release 

 -- Jake Luciani <jake@apache.org>  Fri, 06 Nov 2015 14:37:07 -0500

cassandra (3.0.0~rc2) unstable; urgency=medium

  * New release candidate 

 -- Jake Luciani <jake@apache.org>  Fri, 16 Oct 2015 16:02:24 -0400

cassandra (3.0.0~rc1) unstable; urgency=medium

  * New release candidate

 -- Jake Luciani <jake@apache.org>  Sat, 19 Sep 2015 16:01:59 -0400

cassandra (3.0.0~beta2) unstable; urgency=medium

  * New beta release

 -- Jake Luciani <jake@apache.org>  Fri, 04 Sep 2015 19:06:25 -0400

cassandra (3.0.0~beta1) unstable; urgency=medium

  * New beta release

 -- Jake Luciani <jake@apache.org>  Fri, 21 Aug 2015 22:33:04 -0400

cassandra (3.0.0~alpha1) unstable; urgency=medium

  * New alpha release

 -- Jake Luciani <jake@apache.org>  Thu, 30 Jul 2015 09:21:15 -0400

## cassandra 3.11.11

=== debian/changelog ===
cassandra (3.11.11) unstable; urgency=medium

  * New release

 -- Brandon Williams <brandonwilliams@apache.org>  Sun, 25 Jul 2021 12:39:10 -0500

cassandra (3.11.10) unstable; urgency=medium

  * New release

 -- Alex Petrov <ifesdjeen@apache.org>  Fri, 29 Jan 2021 13:27:39 +0100

cassandra (3.11.9) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Thu, 29 Oct 2020 12:32:12 +0100

cassandra (3.11.8) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 28 Aug 2020 15:12:12 +0200

cassandra (3.11.7) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Tue, 14 Jul 2020 22:58:55 +0200

cassandra (3.11.6) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 10 Feb 2020 23:54:00 +0100

cassandra (3.11.5) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Thu, 24 Oct 2019 08:59:29 -0500

cassandra (3.11.4) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Fri, 01 Feb 2019 12:39:21 -0600

cassandra (3.11.3) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 02 Jul 2018 13:36:16 -0500

cassandra (3.11.2) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Tue, 10 Oct 2017 17:18:26 -0500

cassandra (3.11.1) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 26 Jun 2017 18:51:37 -0500

cassandra (3.11.0) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 19 Jun 2017 17:42:32 -0500

cassandra (3.10) unstable; urgency=medium

  * New release

 -- Michael Shuler <michael@pbandjelly.org>  Mon, 31 Oct 2016 08:54:45 -0500

cassandra (3.8) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Mon, 26 Sep 2016 08:51:39 -0500

cassandra (3.6) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 03 May 2016 09:12:18 -0400

cassandra (3.4) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Mon, 29 Feb 2016 10:39:33 -0500

cassandra (3.2) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Tue, 05 Jan 2016 10:24:04 -0500

cassandra (3.1) unstable; urgency=medium

  * New release

 -- Jake Luciani <jake@apache.org>  Fri, 04 Dec 2015 16:00:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Eric Evans <eevans@apache.org>
 Uploaders: Sylvain Lebresne <slebresne@apache.org>
-Build-Depends: debhelper (>= 5), openjdk-8-jdk | java8-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python-dev (>= 2.7), dpatch, bash-completion
+Build-Depends: debhelper (>= 5), openjdk-8-jdk | java8-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python-dev (>= 2.7) | python2-dev (>= 2.7), dpatch, bash-completion
 Homepage: http://cassandra.apache.org
 Vcs-Git: http://git-wip-us.apache.org/repos/asf/cassandra.git
 Vcs-Browser: https://git-wip-us.apache.org/repos/asf?p=cassandra.git
@@ -11,7 +11,7 @@
 
 Package: cassandra
 Architecture: all
-Depends: openjdk-7-jre-headless | java7-runtime, adduser, python (>= 2.7), ${misc:Depends}
+Depends: openjdk-8-jre-headless | java8-runtime, adduser, python (>= 2.7) | python2 (>= 2.7), ${misc:Depends}
 Recommends: ntp | time-daemon
 Suggests: cassandra-tools
 Conflicts: apache-cassandra1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment to enable verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

ANT = /usr/bin/ant
VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \([^-|~|+]*\).*/\1/p')

test:
	dh_testdir
	$(ANT) test

clean: unpatch
	dh_testdir
	dh_testroot
	$(ANT) realclean
	rm -f build-stamp build.properties
	rm -rf bin/java
	find -name "*.pyc" -exec rm '{}' ';'
	find -name "*py.class" -exec rm '{}' ';'
	$(RM) -r pylib/build
	dh_clean

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	printf "version=%s" $(VERSION) > build.properties

	$(ANT) generate-cql-html
	$(ANT) jar
	cd pylib && python setup.py install --no-compile --install-layout deb \
		--root $(CURDIR)/debian/cassandra

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
	dh_python2

	# Copy in the jar and symlink to something stable
	dh_install build/apache-cassandra-$(VERSION).jar \
		usr/share/cassandra
	dh_install build/apache-cassandra-thrift-$(VERSION).jar \
		usr/share/cassandra

	# Copy stress jars
	dh_install build/tools/lib/stress.jar \
		usr/share/cassandra

	dh_link usr/share/cassandra/apache-cassandra-$(VERSION).jar \
		usr/share/cassandra/apache-cassandra.jar

	cd debian/cassandra/etc/sysctl.d && mv cassandra-sysctl.conf cassandra.conf

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installinit -u'start 50 2 3 4 5 . stop 50 0 1 6 .'
	dh_installdocs README.asc CHANGES.txt NEWS.txt doc/cql3/CQL.css doc/cql3/CQL.html CASSANDRA-14092.txt
	dh_installexamples tools/*.yaml
	dh_bash-completion
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cassandra 3.11.12

=== debian/changelog ===
cassandra (3.11.12) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 07 Feb 2022 13:55:35 +0100

## cassandra 3.11.13

=== debian/changelog ===
cassandra (3.11.13) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 06 May 2022 17:04:47 +0200

## cassandra 4.0.1

=== debian/changelog ===
cassandra (4.0.1) unstable; urgency=medium

  * New release

 -- Sam Tunnicliffe <samt@apache.org>  Mon, 30 Aug 2021 11:28:21 +0100

cassandra (4.0~rc2) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Sun, 27 Jun 2021 16:36:29 +0200

cassandra (4.0~rc1) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Wed, 21 Apr 2021 19:24:28 +0200

cassandra (4.0~beta4) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 18 Dec 2020 18:32:45 +0100

cassandra (4.0~beta3) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Thu, 29 Oct 2020 12:59:30 +0100

cassandra (4.0~beta2) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 28 Aug 2020 15:53:19 +0200

cassandra (4.0~beta1) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org> Fri, 17 Jul 2020 23:22:24 +0200

cassandra (4.0~alpha4) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Sat, 11 Apr 2020 00:27:13 +0200

cassandra (4.0~alpha3) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Mon, 30 Jan 2020 19:28:04 +0100

cassandra (4.0~alpha2) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Thu, 24 Oct 2019 09:12:05 -0500

cassandra (4.0~alpha1) unstable; urgency=medium

  * New release

 -- Michael Shuler <mshuler@apache.org>  Tue, 03 Sep 2019 11:51:18 -0500

## cassandra 4.0.2

=== debian/changelog ===
cassandra (4.0.2) unstable; urgency=medium

  * New release 

 -- Mick Semb Wever <mck@apache.org>  Mon, 07 Feb 2022 14:42:07 +0100

## cassandra 4.0.3

=== pylib/requirements.txt ===
# See python driver docs: futures and six have to be installed before
# cythonizing the driver, perhaps only on old pips.
# http://datastax.github.io/python-driver/installation.html#cython-based-extensions
futures
six>=1.12.0
-e git+https://github.com/datastax/python-driver.git@cassandra-test#egg=cassandra-driver
# Used ccm version is tracked by cassandra-test branch in ccm repo. Please create a PR there for fixes or upgrades to new releases.
-e git+https://github.com/riptano/ccm.git@cassandra-test#egg=ccm
coverage
decorator
docopt
enum34
flaky
mock
nose
nose-test-select
parse
pycodestyle
psutil

=== debian/changelog ===
cassandra (4.0.3) unstable; urgency=medium

  * New release 

 -- Mick Semb Wever <mck@apache.org>  Sun, 13 Feb 2022 22:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Eric Evans <eevans@apache.org>
 Uploaders: Sylvain Lebresne <slebresne@apache.org>
-Build-Depends: debhelper (>= 5), openjdk-8-jdk | java8-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python-dev (>= 2.7) | python2-dev (>= 2.7), dpatch, bash-completion
+Build-Depends: debhelper (>= 11), openjdk-8-jdk | java8-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python3-dev (>= 3.6), quilt, bash-completion
 Homepage: http://cassandra.apache.org
-Vcs-Git: http://git-wip-us.apache.org/repos/asf/cassandra.git
-Vcs-Browser: https://git-wip-us.apache.org/repos/asf?p=cassandra.git
+Vcs-Git: https://gitbox.apache.org/repos/asf/cassandra.git
+Vcs-Browser: https://gitbox.apache.org/repos/asf?p=cassandra.git
 Standards-Version: 3.8.3
 
 Package: cassandra
 Architecture: all
-Depends: openjdk-8-jre-headless | java8-runtime, adduser, python (>= 2.7) | python2 (>= 2.7), ${misc:Depends}
+Depends: openjdk-8-jre-headless | java8-runtime, adduser, python3 (>= 3.6), ${misc:Depends}
 Recommends: ntp | time-daemon
 Suggests: cassandra-tools
 Conflicts: apache-cassandra1

## cassandra 4.0.4

=== debian/changelog ===
cassandra (4.0.4) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 06 May 2022 18:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: cassandra
 Architecture: all
-Depends: openjdk-8-jre-headless | java8-runtime, adduser, python3 (>= 3.6), ${misc:Depends}
+Depends: openjdk-8-jre-headless | java8-runtime, adduser, python3 (>= 3.6), procps, ${misc:Depends}
 Recommends: ntp | time-daemon
 Suggests: cassandra-tools
 Conflicts: apache-cassandra1

## cassandra 4.1.0

=== pylib/requirements.txt ===
-e git+https://github.com/datastax/python-driver.git@cassandra-test#egg=cassandra-driver
# Used ccm version is tracked by cassandra-test branch in ccm repo. Please create a PR there for fixes or upgrades to new releases.
-e git+https://github.com/riptano/ccm.git@cassandra-test#egg=ccm
coverage
pytest

=== debian/changelog ===
cassandra (4.1.0-0kali4) kali-dev; urgency=medium

  * Fix dh_link to apply it on the correct package (cassandra)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Feb 2025 09:49:50 +0100

cassandra (4.1.0-0kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable arm builds.
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Nitpicks in rules file
  * Fix incorrect target execute_dh_links
  * Update watch file to support pre-releases
  * Fix version in build.properties (in case of pre-releases)
  * Fix LimitMEMLOCK value in systemd service
  * Depend on cassandra-libs instead of using internal driver
  * Add basic autopkgtests
  * Update source lintian overrides

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 21 Aug 2024 11:21:08 +0700

cassandra (4.1.0-0kali2) kali-dev; urgency=medium

  * Build and install Python modules

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 Mar 2023 15:17:38 +0100

cassandra (4.1.0-0kali1) kali-experimental; urgency=medium

  * Initial packaging for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Feb 2023 16:53:15 +0100

cassandra (4.1.0) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Wed, 07 Dec 2022 21:53:33 +0100

cassandra (4.1~rc1) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Thu, 17 Nov 2022 11:33:25 +0100

cassandra (4.1~beta1) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Tue, 27 Sep 2022 00:08:07 +0200

cassandra (4.1~alpha1) unstable; urgency=medium

  * New release

 -- Mick Semb Wever <mck@apache.org>  Fri, 20 May 2022 22:02:50 +0200

=== debian/control ===
Source: cassandra
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), openjdk-11-jdk | java11-jdk, ant (>= 1.9), ant-optional (>= 1.9), dh-python, python3-all-dev, bash-completion, python3-setuptools, cython3
Standards-Version: 4.6.2
Homepage: https://cassandra.apache.org
Vcs-Browser: https://gitlab.com/kalilinux/packages/cassandra
Vcs-Git: https://gitlab.com/kalilinux/packages/cassandra.git

Package: cassandra
Architecture: all
Depends: openjdk-11-jre-headless | java11-runtime, adduser, python3, procps, ${misc:Depends}, cassandra-libs (>= ${binary:Version}), python3-cassandra
Recommends: ntp | time-daemon
Suggests: cassandra-tools
Conflicts: apache-cassandra1
Replaces: apache-cassandra1
Description: distributed storage system for structured data
 Cassandra is a distributed (peer-to-peer) system for the management
 and storage of structured data.

Package: cassandra-libs
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: distributed storage system for structured data
 Cassandra is a distributed (peer-to-peer) system for the management
 and storage of structured data.
 .
 This package contains the arch dependent libs.

Package: cassandra-tools
Architecture: all
Depends: cassandra (= ${binary:Version}), ${misc:Depends}
Description: distributed storage system for structured data
 Cassandra is a distributed (peer-to-peer) system for the management
 and storage of structured data.
 .
 This package contains extra tools for working with Cassandra clusters.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export HOME=$(CURDIR)/debian/fakehome
export CASSANDRA_USE_JDK11=true

ANT = /usr/bin/ant
# Cassandra chokes when there's a tilde in the version, eg:
# java.lang.IllegalArgumentException: Invalid version value: 5.0~rc1
VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d'~' -f1)

%:
	dh $@ --with python3

execute_after_dh_clean:
	$(ANT) realclean
	rm -f build-stamp build.properties
	rm -rf bin/java
	find -name "*.pyc" -exec rm '{}' ';'
	find -name "*py.class" -exec rm '{}' ';'
	$(RM) -r pylib/build
	rm -rf $(HOME)

execute_before_dh_auto_configure:
	printf "version=%s" $(VERSION) > build.properties

override_dh_auto_build:
	mkdir -p $(HOME)
	dh_auto_build -- -Duser.home=$(HOME)
	cd pylib && python3 setup.py install --no-compile --install-layout deb \
		--root $(CURDIR)/debian/cassandra
	sed -i "s/ARCH/$(DEB_HOST_ARCH)/" debian/cassandra.service
	dh_auto_build --sourcedirectory=pylib --buildsystem=pybuild

execute_after_dh_link:
	dh_link -pcassandra usr/share/cassandra/apache-cassandra-$(VERSION).jar \
		usr/share/cassandra/apache-cassandra.jar

execute_after_dh_auto_install-arch:
	dh_auto_install --destdir=debian/cassandra-libs/ --sourcedirectory=pylib --buildsystem=pybuild

execute_after_dh_install-indep:
	cd debian/cassandra/etc/sysctl.d && mv cassandra-sysctl.conf cassandra.conf
	# Don't use the bundled cassandra driver, depend on python3-cassandra instead
	rm -v debian/cassandra/usr/share/cassandra/lib/cassandra-driver-internal-only-*.zip

execute_after_dh_install-arch:
ifeq (amd64, $(DEB_HOST_ARCH))
	rm debian/cassandra-libs/usr/lib/cassandra-libs/lib/sigar-bin/libsigar-x86-linux.so
else
	rm debian/cassandra-libs/usr/lib/cassandra-libs/lib/sigar-bin/libsigar-amd64-linux.so
endif

=== debian/tests/control ===
Tests: basic
Depends: cassandra
Restrictions: isolation-container, needs-root, superficial

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, uversionmangle=s/-(alpha|beta|rc)/~$1/" \
https://gitbox.apache.org/repos/asf/cassandra.git \
refs/tags/cassandra-@ANY_VERSION@
